#ifndef BPSMSplashImage_h
#define BPSMSplashImage_h

#import <Foundation/Foundation.h>

//! Represents start splash image presented on player before playback.
@interface BPSMSplashImage : NSObject

//! URL pointing to image asset.
@property NSString *url;

//! Width of image asset in pixels.
@property NSNumber *width;

//! Height of image asset in pixels.
@property NSNumber *height;

+ (BPSMSplashImage *) newFromNSDictionary: (NSDictionary *)dict;

- (NSDictionary *) toNSDictionary;

@end

#endif /* BPSMSplashImage_h */
